# Generated from template-2.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name template

Name: rubygem-%{gem_name}
Version: 2.0.0
Release: 1%{?dist}
Summary: Create some simple files that all rails app should have
License: MIT
URL: http://github.com/yule/template
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(shoulda)
# BuildRequires: rubygem(jeweler) >= 1.5.1
# BuildRequires: rubygem(jeweler) < 1.6
# BuildRequires: rubygem(rcov)
BuildArch: noarch

%description
Creates a bunch of files that most apps will have. Shoudl be used at the
beginning of the project. Stops the tedious job of having to set up page
templates etc.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.redcar
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/template.gemspec
%{gem_instdir}/test

%changelog
* Thu Sep 16 2021 mockbuilder - 2.0.0-1
- Initial package
